#!/usr/bin/python
# -*- coding: UTF-8 -*-
## \namespace comunicaciones
# \brief Conjunto de clases necesarias para implementar la comunicacion entre procesos a traves de red.

import os
import socket
import getpass

sock = socket.socket (socket.AF_INET, socket.SOCK_STREAM)
sock.setsockopt (socket.SOL_SOCKET, socket. SO_REUSEADDR, 1)
sock.settimeout (1.2)
try:
	sock.connect (('c0', 39999))
except socket.error, msg:
	print "Error de conexion: %s" % msg
	sock.close()
	exit (1)

mensaje = '%s\0' % getpass.getuser()
sock.send (mensaje)

sock.close()
exit (0)
